| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::AddressingNormalizationMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< QString, uint >.

## Public Member Functions

| AddressingNormalizationMap ()
| AddressingNormalizationMap (const QMap< QString, uint > &a)
AddressingNormalizationMap & | operator= (const QMap< QString, uint > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, uint>, but needed to have a discrete type in the Qt type system.

A map from URIs/vCard addresses to the corresponding handle.

## Constructor & Destructor Documentation

Tp::AddressingNormalizationMap::AddressingNormalizationMap | ( |  | ) |

inline

Tp::AddressingNormalizationMap::AddressingNormalizationMap | ( | const QMap< QString, uint > & | a | ) |

inline

## Member Function Documentation

AddressingNormalizationMap& Tp::AddressingNormalizationMap::operator= | ( | const QMap< QString, uint > & | a | ) |

inline